ISWCTYPE(3)

NAME
iswctype - test a character for character class identifier

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
int
iswctype(wint_t wc, wctype_t charclass);

DESCRIPTION
The iswctype() function returns a boolean value that indicates whether a wide character wc is in charclass.

The behaviour of iswctype() is undefined if the iswctype() function is called with an invalid charclass (changes of LC_CTYPE category invalidate charclass) or invalid wide character wc.

The behaviour of iswctype() is affected by the LC_CTYPE category of the current locale.

RETURN VALUES
The iswctype() returns:

0   wc is not in charclass.

non-zero
    wc is in charclass.

ERRORS
No errors are defined.

SEE ALSO
setlocale(3), towctrans(3), wctrans(3), wctype(3)

STANDARDS
The iswctype() function conforms to isoC-amd1.